
QGIS Application - Bug report #7156

Vector geometry simplification works only if project CRS matches layer CRS

2013-02-15 01:09 AM - marisn -

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 16214

Description

Steps to reproduce:

    -  make a shapefile in one CRS

    -  digitize a line

    -  change project CRS and enable OTFR

    -  try to use "simplify" tool

It's not possible to select a line and start geometry simplification. Changing project CRS to match layer CRS fixes issue.

Related issues:

Duplicated by QGIS Application - Bug report # 12005: "simplify feature" tool ... Closed 2015-01-19

History

#1 - 2014-06-21 11:58 AM - Jürgen Fischer

- Category set to Vectors

#2 - 2014-06-28 07:43 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#3 - 2017-05-01 01:09 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
